<?php
namespace app\tuchuang\event;

class Sql
{
    /**
    * 安装时触发
    * @return bool 只有返回true时才会往下执行
    */
	public function install()
    {
        //批量添加路由伪静态
        $result = \daicuo\Route::save_all([
            [
                'rule'        =>'/tuchuang$',
                'address'     =>'tuchuang/index/index',
                'method'      =>'get',
                'op_module'   =>'tuchuang',
            ]
        ]);
        //批量写入插件配置
        $result = \daicuo\Op::write([
            'site_name'       => '呆错免费图床',
            'site_title'      => '呆错图床系统',
            'site_keywords'   => '免费图床程序,专业图片外链,免费公共图床序',
            'site_description'=> '呆错图床系统是基于DAICUO后台开发框架搭建的免费PHP图床程序，核心功能是解决图片的防盗链、图片CDN加速与外链服务。',
            'theme'           => 'default',
            'theme_wap'       => 'default',
            'link_default'    => 'https://cdn.daicuo.cc/images/gzh/dc_01.jpg',
            'link_encode'     => 'imgDesEncode',
            'link_decode'     => 'imgDesDecode',
            'des_length'      => 86400,
        ],'tuchuang','config','system',0,'yes');
        //返回结果
        return true;
	}
    
    /**
    * 升级时触发
    * @return bool 只有返回true时才会往下执行
    */
    public function upgrade()
    {
        if( !\daicuo\Apply::updateStatus('tuchuang', 'enable') ){
            return false;
        }
        return true;
	}
    
    /**
    * 卸载时触发
    * @return bool 只有返回true时才会往下执行
    */
    public function remove()
    {
        return $this->unInstall();
	}
    
    /**
    * 删除时触发
    * @return bool 只有返回true时才会往下执行
    */
    public function unInstall()
    {
        \daicuo\Op::delete_module('tuchuang');
        return true;
	}
}